PUT leads/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

PortalLeadTable
NameDescriptionTypeAdditional information
leadId

integer

None.

clientName

string

None.

clientPhone

string

None.

clientEmail

string

None.

leadStatus

string

None.

leadSource

string

None.

notes

string

None.

assignedToUserId

integer

None.

createdByUserId

integer

None.

propertyId

integer

None.

followUpDate

date

None.

createdDate

date

None.

updatedDate

date

None.

Request Formats

application/json, text/json

Sample:
{
  "leadId": 1,
  "clientName": "sample string 2",
  "clientPhone": "sample string 3",
  "clientEmail": "sample string 4",
  "leadStatus": "sample string 5",
  "leadSource": "sample string 6",
  "notes": "sample string 7",
  "assignedToUserId": 1,
  "createdByUserId": 1,
  "propertyId": 1,
  "followUpDate": "2026-07-14T14:55:04.031038+00:00",
  "createdDate": "2026-07-14T14:55:04.031038+00:00",
  "updatedDate": "2026-07-14T14:55:04.031038+00:00"
}

application/xml, text/xml

Sample:
<PortalLeadTable xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/projectalminha.Models">
  <assignedToUserId>1</assignedToUserId>
  <clientEmail>sample string 4</clientEmail>
  <clientName>sample string 2</clientName>
  <clientPhone>sample string 3</clientPhone>
  <createdByUserId>1</createdByUserId>
  <createdDate>2026-07-14T14:55:04.031038+00:00</createdDate>
  <followUpDate>2026-07-14T14:55:04.031038+00:00</followUpDate>
  <leadId>1</leadId>
  <leadSource>sample string 6</leadSource>
  <leadStatus>sample string 5</leadStatus>
  <notes>sample string 7</notes>
  <propertyId>1</propertyId>
  <updatedDate>2026-07-14T14:55:04.031038+00:00</updatedDate>
</PortalLeadTable>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.